package com.unittesting.sampleapp;



import org.junit.Assert;
import org.junit.Test;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
public class CalculatorTest {

    @Test
    public void add() {
        Calculator calculator = new Calculator();
        int result = calculator.add(3, 4);
        int expected = 7;
        Assert.assertEquals(expected, result);

    }

    @Test
    public void divide() {
        Calculator calculator = new Calculator();
        double result  = calculator.divide(9, 3);
        double expected = 3;
        Assert.assertTrue("Dividing failed", result == expected);
    }

    @Test
    public void subtract() {
        Calculator calculator = new Calculator();
        int result = calculator.subtract(9, 3);
        int expected = 6;
        Assert.assertFalse("Subtract failed", result != expected);
    }


}
