package com.unittesting.sampleapp;

import junit.framework.TestCase;
import org.junit.Assert;
import org.junit.Test;

public class TestCaseClass extends TestCase {

    protected int a;
    protected int b;

    public void setUp() {
        System.out.println("setup");
        a = 2;
        b = 3;
    }

    @Test
    public void testAdd() {
        Calculator calculator = new Calculator();
        int result = calculator.add(7, 10);
        int expected = 17;

        String name = this.getName();
        System.out.println("Test case Name = " + " " + name);

        this.setName("testNewAdd");
        String newName = this.getName();
        System.out.println("Updated Test case Name" + newName);

        Assert.assertTrue("add failed", result == expected);

    }

    public void tearDown() {
        System.out.println("Clean up");
    }
}
